#pragma once

#include <psemek/wgpu/external/webgpu.h>

#include <string>
#include <string_view>

namespace psemek::wgpu::detail
{

	inline WGPUStringView to_string_view(std::string const & string)
	{
		return {.data = string.data(), .length = string.size()};
	}

	inline WGPUStringView to_string_view(std::string_view const & string_view)
	{
		return {.data = string_view.data(), .length = string_view.size()};
	}

}
